Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.sms
Class SMSPushRealidadFutura

    java.lang.Object
      com.knowgate.sms.SMSPush
          com.knowgate.sms.SMSPushRealidadFutura

    public final class SMSPushRealidadFutura

extends SMSPush

Constructor Summary
`SMSPushRealidadFutura()`

Method Summary
`void` | `close()` This method does not do anything for Realidad Futura platform
`void` | `connect(java.lang.String sBaseUrl, java.lang.String sUser, java.lang.String sPassword, java.util.Properties oConnectionProps)` Prepare internal state for sending messages
`static void` | `main(java.lang.String[] args)`
`SMSResponse` | `push(SMSMessage oMsg)` Open HTTP connection and send SMS
`static SMSResponse` | `push(java.lang.String sAccount, java.lang.String sAuthStr, java.lang.String sFrom, java.lang.String sTo, java.lang.String sText)` Open a new connection and send and SMS

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMSPushRealidadFutura

    public SMSPushRealidadFutura()

Method Detail

### connect

    public void connect(java.lang.String sBaseUrl,
                        java.lang.String sUser,
                        java.lang.String sPassword,
                        java.util.Properties oConnectionProps)
                 throws java.io.IOException,
                        java.sql.SQLException,
                        java.net.MalformedURLException

  Prepare internal state for sending messages

  Specified by:
    `connect` in class `SMSPush`
  Parameters:
    `sBaseUrl` - Base URL. Typically it should be "http://railsfax.realidadfutura.net/sms/send_sms?", if null then the default value http://railsfax.realidadfutura.net/sms/send_sms? is used The target URL will be sUrl+"username="+sUser+"&password="+sPassword+"&from="+oConnectionProps.from+"&to="+34XXXXXXXXX+"&text=Message Text"
    `sUser` - Realidad Futura Customer Account Identifier
    `sPassword` - Realidad Futura Customer Account Password
    `oConnectionProps` - Set property from for changing sender's number
  Throws:
    `java.io.IOException`
    `java.net.MalformedURLException`
    `java.sql.SQLException`

### close

    public void close()
               throws java.io.IOException,
                      java.sql.SQLException

  This method does not do anything for Realidad Futura platform

  Specified by:
    `close` in class `SMSPush`
  Throws:
    `java.io.IOException`
    `java.sql.SQLException`

### push

    public SMSResponse push(SMSMessage oMsg)
                     throws java.io.IOException,
                            java.sql.SQLException,
                            java.lang.IllegalArgumentException,
                            java.io.UnsupportedEncodingException

  Open HTTP connection and send SMS

  Specified by:
    `push` in class `SMSPush`
  Parameters:
    `SMSMessage` -
  Returns:
    SMSResponse
  Throws:
    `java.io.IOException`
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`
    `java.io.UnsupportedEncodingException`

### push

    public static SMSResponse push(java.lang.String sAccount,
                                   java.lang.String sAuthStr,
                                   java.lang.String sFrom,
                                   java.lang.String sTo,
                                   java.lang.String sText)
                            throws java.io.IOException,
                                   java.lang.IllegalArgumentException

  Open a new connection and send and SMS

  Parameters:
    `sUser` - Realidad Futura Customer Account Identifier
    `sAuthStr` - Realidad Futura Customer Account Password
    `sFrom` - Sender's Number
    `sTo` - Recipient's MSISDN Number with country preffix like 34609090603
    `sText` - Message Text.
  Returns:
    SMSResponse
  Throws:
    `java.io.IOException`
    `java.lang.IllegalArgumentException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD